/**
 */
package prodSimObj;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EOperation;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each operation of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see prodSimObj.ProdSimObjFactory
 * @model kind="package"
 * @generated
 */
public interface ProdSimObjPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "prodSimObj";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://www.example.org/prodSimObj";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "prodSimObj";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	ProdSimObjPackage eINSTANCE = prodSimObj.impl.ProdSimObjPackageImpl.init();

	/**
	 * The meta object id for the '{@link prodSimObj.impl.SystemImpl <em>System</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see prodSimObj.impl.SystemImpl
	 * @see prodSimObj.impl.ProdSimObjPackageImpl#getSystem()
	 * @generated
	 */
	int SYSTEM = 0;

	/**
	 * The feature id for the '<em><b>Component</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM__COMPONENT = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM__NAME = 1;

	/**
	 * The number of structural features of the '<em>System</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>System</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link prodSimObj.impl.ComponentImpl <em>Component</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see prodSimObj.impl.ComponentImpl
	 * @see prodSimObj.impl.ProdSimObjPackageImpl#getComponent()
	 * @generated
	 */
	int COMPONENT = 1;

	/**
	 * The feature id for the '<em><b>Temperature</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__TEMPERATURE = 0;

	/**
	 * The feature id for the '<em><b>Is Active</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__IS_ACTIVE = 1;

	/**
	 * The feature id for the '<em><b>Max Reached Temperature</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__MAX_REACHED_TEMPERATURE = 2;

	/**
	 * The feature id for the '<em><b>Mean Temperature</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__MEAN_TEMPERATURE = 3;

	/**
	 * The feature id for the '<em><b>Mode Temperature</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__MODE_TEMPERATURE = 4;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__ID = 5;

	/**
	 * The number of structural features of the '<em>Component</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_FEATURE_COUNT = 6;

	/**
	 * The operation id for the '<em>Run</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT___RUN = 0;

	/**
	 * The number of operations of the '<em>Component</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_OPERATION_COUNT = 1;

	/**
	 * The meta object id for the '{@link prodSimObj.impl.DatabaseConnectionImpl <em>Database Connection</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see prodSimObj.impl.DatabaseConnectionImpl
	 * @see prodSimObj.impl.ProdSimObjPackageImpl#getDatabaseConnection()
	 * @generated
	 */
	int DATABASE_CONNECTION = 2;

	/**
	 * The feature id for the '<em><b>Server URL</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATABASE_CONNECTION__SERVER_URL = 0;

	/**
	 * The feature id for the '<em><b>Data Base Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATABASE_CONNECTION__DATA_BASE_NAME = 1;

	/**
	 * The number of structural features of the '<em>Database Connection</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATABASE_CONNECTION_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Database Connection</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATABASE_CONNECTION_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link prodSimObj.impl.DatabaseConfigurationImpl <em>Database Configuration</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see prodSimObj.impl.DatabaseConfigurationImpl
	 * @see prodSimObj.impl.ProdSimObjPackageImpl#getDatabaseConfiguration()
	 * @generated
	 */
	int DATABASE_CONFIGURATION = 3;

	/**
	 * The feature id for the '<em><b>Databaseconnection</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATABASE_CONFIGURATION__DATABASECONNECTION = 0;

	/**
	 * The feature id for the '<em><b>Databaseuser</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATABASE_CONFIGURATION__DATABASEUSER = 1;

	/**
	 * The feature id for the '<em><b>Model</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATABASE_CONFIGURATION__MODEL = 2;

	/**
	 * The feature id for the '<em><b>Retention Policy</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATABASE_CONFIGURATION__RETENTION_POLICY = 3;

	/**
	 * The number of structural features of the '<em>Database Configuration</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATABASE_CONFIGURATION_FEATURE_COUNT = 4;

	/**
	 * The number of operations of the '<em>Database Configuration</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATABASE_CONFIGURATION_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link prodSimObj.impl.DatabaseUserImpl <em>Database User</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see prodSimObj.impl.DatabaseUserImpl
	 * @see prodSimObj.impl.ProdSimObjPackageImpl#getDatabaseUser()
	 * @generated
	 */
	int DATABASE_USER = 4;

	/**
	 * The feature id for the '<em><b>User Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATABASE_USER__USER_NAME = 0;

	/**
	 * The feature id for the '<em><b>Password</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATABASE_USER__PASSWORD = 1;

	/**
	 * The number of structural features of the '<em>Database User</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATABASE_USER_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Database User</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATABASE_USER_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link prodSimObj.impl.RetentionPolicyImpl <em>Retention Policy</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see prodSimObj.impl.RetentionPolicyImpl
	 * @see prodSimObj.impl.ProdSimObjPackageImpl#getRetentionPolicy()
	 * @generated
	 */
	int RETENTION_POLICY = 5;

	/**
	 * The feature id for the '<em><b>Duration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RETENTION_POLICY__DURATION = 0;

	/**
	 * The number of structural features of the '<em>Retention Policy</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RETENTION_POLICY_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>Retention Policy</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RETENTION_POLICY_OPERATION_COUNT = 0;

	/**
	 * Returns the meta object for class '{@link prodSimObj.System <em>System</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>System</em>'.
	 * @see prodSimObj.System
	 * @generated
	 */
	EClass getSystem();

	/**
	 * Returns the meta object for the containment reference list '{@link prodSimObj.System#getComponent <em>Component</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Component</em>'.
	 * @see prodSimObj.System#getComponent()
	 * @see #getSystem()
	 * @generated
	 */
	EReference getSystem_Component();

	/**
	 * Returns the meta object for the attribute '{@link prodSimObj.System#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see prodSimObj.System#getName()
	 * @see #getSystem()
	 * @generated
	 */
	EAttribute getSystem_Name();

	/**
	 * Returns the meta object for class '{@link prodSimObj.Component <em>Component</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Component</em>'.
	 * @see prodSimObj.Component
	 * @generated
	 */
	EClass getComponent();

	/**
	 * Returns the meta object for the attribute '{@link prodSimObj.Component#getTemperature <em>Temperature</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Temperature</em>'.
	 * @see prodSimObj.Component#getTemperature()
	 * @see #getComponent()
	 * @generated
	 */
	EAttribute getComponent_Temperature();

	/**
	 * Returns the meta object for the attribute '{@link prodSimObj.Component#isIsActive <em>Is Active</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Is Active</em>'.
	 * @see prodSimObj.Component#isIsActive()
	 * @see #getComponent()
	 * @generated
	 */
	EAttribute getComponent_IsActive();

	/**
	 * Returns the meta object for the attribute '{@link prodSimObj.Component#getMaxReachedTemperature <em>Max Reached Temperature</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Max Reached Temperature</em>'.
	 * @see prodSimObj.Component#getMaxReachedTemperature()
	 * @see #getComponent()
	 * @generated
	 */
	EAttribute getComponent_MaxReachedTemperature();

	/**
	 * Returns the meta object for the attribute '{@link prodSimObj.Component#getMeanTemperature <em>Mean Temperature</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Mean Temperature</em>'.
	 * @see prodSimObj.Component#getMeanTemperature()
	 * @see #getComponent()
	 * @generated
	 */
	EAttribute getComponent_MeanTemperature();

	/**
	 * Returns the meta object for the attribute '{@link prodSimObj.Component#getModeTemperature <em>Mode Temperature</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Mode Temperature</em>'.
	 * @see prodSimObj.Component#getModeTemperature()
	 * @see #getComponent()
	 * @generated
	 */
	EAttribute getComponent_ModeTemperature();

	/**
	 * Returns the meta object for the attribute '{@link prodSimObj.Component#getId <em>Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Id</em>'.
	 * @see prodSimObj.Component#getId()
	 * @see #getComponent()
	 * @generated
	 */
	EAttribute getComponent_Id();

	/**
	 * Returns the meta object for the '{@link prodSimObj.Component#run() <em>Run</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Run</em>' operation.
	 * @see prodSimObj.Component#run()
	 * @generated
	 */
	EOperation getComponent__Run();

	/**
	 * Returns the meta object for class '{@link prodSimObj.DatabaseConnection <em>Database Connection</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Database Connection</em>'.
	 * @see prodSimObj.DatabaseConnection
	 * @generated
	 */
	EClass getDatabaseConnection();

	/**
	 * Returns the meta object for the attribute '{@link prodSimObj.DatabaseConnection#getServerURL <em>Server URL</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Server URL</em>'.
	 * @see prodSimObj.DatabaseConnection#getServerURL()
	 * @see #getDatabaseConnection()
	 * @generated
	 */
	EAttribute getDatabaseConnection_ServerURL();

	/**
	 * Returns the meta object for the attribute '{@link prodSimObj.DatabaseConnection#getDataBaseName <em>Data Base Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Data Base Name</em>'.
	 * @see prodSimObj.DatabaseConnection#getDataBaseName()
	 * @see #getDatabaseConnection()
	 * @generated
	 */
	EAttribute getDatabaseConnection_DataBaseName();

	/**
	 * Returns the meta object for class '{@link prodSimObj.DatabaseConfiguration <em>Database Configuration</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Database Configuration</em>'.
	 * @see prodSimObj.DatabaseConfiguration
	 * @generated
	 */
	EClass getDatabaseConfiguration();

	/**
	 * Returns the meta object for the containment reference '{@link prodSimObj.DatabaseConfiguration#getDatabaseconnection <em>Databaseconnection</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Databaseconnection</em>'.
	 * @see prodSimObj.DatabaseConfiguration#getDatabaseconnection()
	 * @see #getDatabaseConfiguration()
	 * @generated
	 */
	EReference getDatabaseConfiguration_Databaseconnection();

	/**
	 * Returns the meta object for the containment reference '{@link prodSimObj.DatabaseConfiguration#getDatabaseuser <em>Databaseuser</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Databaseuser</em>'.
	 * @see prodSimObj.DatabaseConfiguration#getDatabaseuser()
	 * @see #getDatabaseConfiguration()
	 * @generated
	 */
	EReference getDatabaseConfiguration_Databaseuser();

	/**
	 * Returns the meta object for the reference '{@link prodSimObj.DatabaseConfiguration#getModel <em>Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Model</em>'.
	 * @see prodSimObj.DatabaseConfiguration#getModel()
	 * @see #getDatabaseConfiguration()
	 * @generated
	 */
	EReference getDatabaseConfiguration_Model();

	/**
	 * Returns the meta object for the containment reference '{@link prodSimObj.DatabaseConfiguration#getRetentionPolicy <em>Retention Policy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Retention Policy</em>'.
	 * @see prodSimObj.DatabaseConfiguration#getRetentionPolicy()
	 * @see #getDatabaseConfiguration()
	 * @generated
	 */
	EReference getDatabaseConfiguration_RetentionPolicy();

	/**
	 * Returns the meta object for class '{@link prodSimObj.DatabaseUser <em>Database User</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Database User</em>'.
	 * @see prodSimObj.DatabaseUser
	 * @generated
	 */
	EClass getDatabaseUser();

	/**
	 * Returns the meta object for the attribute '{@link prodSimObj.DatabaseUser#getUserName <em>User Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>User Name</em>'.
	 * @see prodSimObj.DatabaseUser#getUserName()
	 * @see #getDatabaseUser()
	 * @generated
	 */
	EAttribute getDatabaseUser_UserName();

	/**
	 * Returns the meta object for the attribute '{@link prodSimObj.DatabaseUser#getPassword <em>Password</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Password</em>'.
	 * @see prodSimObj.DatabaseUser#getPassword()
	 * @see #getDatabaseUser()
	 * @generated
	 */
	EAttribute getDatabaseUser_Password();

	/**
	 * Returns the meta object for class '{@link prodSimObj.RetentionPolicy <em>Retention Policy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Retention Policy</em>'.
	 * @see prodSimObj.RetentionPolicy
	 * @generated
	 */
	EClass getRetentionPolicy();

	/**
	 * Returns the meta object for the attribute '{@link prodSimObj.RetentionPolicy#getDuration <em>Duration</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Duration</em>'.
	 * @see prodSimObj.RetentionPolicy#getDuration()
	 * @see #getRetentionPolicy()
	 * @generated
	 */
	EAttribute getRetentionPolicy_Duration();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	ProdSimObjFactory getProdSimObjFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each operation of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link prodSimObj.impl.SystemImpl <em>System</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see prodSimObj.impl.SystemImpl
		 * @see prodSimObj.impl.ProdSimObjPackageImpl#getSystem()
		 * @generated
		 */
		EClass SYSTEM = eINSTANCE.getSystem();

		/**
		 * The meta object literal for the '<em><b>Component</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SYSTEM__COMPONENT = eINSTANCE.getSystem_Component();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SYSTEM__NAME = eINSTANCE.getSystem_Name();

		/**
		 * The meta object literal for the '{@link prodSimObj.impl.ComponentImpl <em>Component</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see prodSimObj.impl.ComponentImpl
		 * @see prodSimObj.impl.ProdSimObjPackageImpl#getComponent()
		 * @generated
		 */
		EClass COMPONENT = eINSTANCE.getComponent();

		/**
		 * The meta object literal for the '<em><b>Temperature</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute COMPONENT__TEMPERATURE = eINSTANCE.getComponent_Temperature();

		/**
		 * The meta object literal for the '<em><b>Is Active</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute COMPONENT__IS_ACTIVE = eINSTANCE.getComponent_IsActive();

		/**
		 * The meta object literal for the '<em><b>Max Reached Temperature</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute COMPONENT__MAX_REACHED_TEMPERATURE = eINSTANCE.getComponent_MaxReachedTemperature();

		/**
		 * The meta object literal for the '<em><b>Mean Temperature</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute COMPONENT__MEAN_TEMPERATURE = eINSTANCE.getComponent_MeanTemperature();

		/**
		 * The meta object literal for the '<em><b>Mode Temperature</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute COMPONENT__MODE_TEMPERATURE = eINSTANCE.getComponent_ModeTemperature();

		/**
		 * The meta object literal for the '<em><b>Id</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute COMPONENT__ID = eINSTANCE.getComponent_Id();

		/**
		 * The meta object literal for the '<em><b>Run</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation COMPONENT___RUN = eINSTANCE.getComponent__Run();

		/**
		 * The meta object literal for the '{@link prodSimObj.impl.DatabaseConnectionImpl <em>Database Connection</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see prodSimObj.impl.DatabaseConnectionImpl
		 * @see prodSimObj.impl.ProdSimObjPackageImpl#getDatabaseConnection()
		 * @generated
		 */
		EClass DATABASE_CONNECTION = eINSTANCE.getDatabaseConnection();

		/**
		 * The meta object literal for the '<em><b>Server URL</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DATABASE_CONNECTION__SERVER_URL = eINSTANCE.getDatabaseConnection_ServerURL();

		/**
		 * The meta object literal for the '<em><b>Data Base Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DATABASE_CONNECTION__DATA_BASE_NAME = eINSTANCE.getDatabaseConnection_DataBaseName();

		/**
		 * The meta object literal for the '{@link prodSimObj.impl.DatabaseConfigurationImpl <em>Database Configuration</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see prodSimObj.impl.DatabaseConfigurationImpl
		 * @see prodSimObj.impl.ProdSimObjPackageImpl#getDatabaseConfiguration()
		 * @generated
		 */
		EClass DATABASE_CONFIGURATION = eINSTANCE.getDatabaseConfiguration();

		/**
		 * The meta object literal for the '<em><b>Databaseconnection</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DATABASE_CONFIGURATION__DATABASECONNECTION = eINSTANCE.getDatabaseConfiguration_Databaseconnection();

		/**
		 * The meta object literal for the '<em><b>Databaseuser</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DATABASE_CONFIGURATION__DATABASEUSER = eINSTANCE.getDatabaseConfiguration_Databaseuser();

		/**
		 * The meta object literal for the '<em><b>Model</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DATABASE_CONFIGURATION__MODEL = eINSTANCE.getDatabaseConfiguration_Model();

		/**
		 * The meta object literal for the '<em><b>Retention Policy</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DATABASE_CONFIGURATION__RETENTION_POLICY = eINSTANCE.getDatabaseConfiguration_RetentionPolicy();

		/**
		 * The meta object literal for the '{@link prodSimObj.impl.DatabaseUserImpl <em>Database User</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see prodSimObj.impl.DatabaseUserImpl
		 * @see prodSimObj.impl.ProdSimObjPackageImpl#getDatabaseUser()
		 * @generated
		 */
		EClass DATABASE_USER = eINSTANCE.getDatabaseUser();

		/**
		 * The meta object literal for the '<em><b>User Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DATABASE_USER__USER_NAME = eINSTANCE.getDatabaseUser_UserName();

		/**
		 * The meta object literal for the '<em><b>Password</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DATABASE_USER__PASSWORD = eINSTANCE.getDatabaseUser_Password();

		/**
		 * The meta object literal for the '{@link prodSimObj.impl.RetentionPolicyImpl <em>Retention Policy</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see prodSimObj.impl.RetentionPolicyImpl
		 * @see prodSimObj.impl.ProdSimObjPackageImpl#getRetentionPolicy()
		 * @generated
		 */
		EClass RETENTION_POLICY = eINSTANCE.getRetentionPolicy();

		/**
		 * The meta object literal for the '<em><b>Duration</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute RETENTION_POLICY__DURATION = eINSTANCE.getRetentionPolicy_Duration();

	}

} //ProdSimPackage
